%Initial condition vector in weak formulation

function uw=weakIC(uspace,u)
delta=abs(uspace(1)-uspace(2));
N=length(uspace);
uw=zeros(1,N);
for i=1:N
    uw(i)=(1/delta)*quadrature1D(uspace(i)-delta/2,uspace(i)+delta/2,2,u);
end
end