%Minmod function
%Finds the value closest to 0 for a vector where all values are of the same
%sign, otherwise returns 0
function m=minmod(a)
    if all(sign(a)==sign(a(1)))
        m=sign(a(1)) * min(abs(a));
    else
        m=0;
    end
end
